------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008, 2009 Vadim Godunko <vgodunko@gmail.com>                --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.LCD_Number_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.LCD_Number_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.LCD_Numbers is

   function checkOverflow_1_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Num : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, checkOverflow_1_wrapper,
                     "__Qt4Ada_QLCDNumber_checkOverflow_1_wrapper");

   function checkOverflow_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Num : Qt4.Q_Real)
       return Qt4.bool;
   pragma Import (C, checkOverflow_0_wrapper,
                     "__Qt4Ada_QLCDNumber_checkOverflow_0_wrapper");

   function intValue_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, intValue_0_wrapper,
                     "__Qt4Ada_QLCDNumber_intValue_0_wrapper");

   function mode_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.LCD_Numbers.LCD_Number_Mode;
   pragma Import (C, mode_0_wrapper,
                     "__Qt4Ada_QLCDNumber_mode_0_wrapper");

   function numDigits_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, numDigits_0_wrapper,
                     "__Qt4Ada_QLCDNumber_numDigits_0_wrapper");

   function segmentStyle_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.LCD_Numbers.LCD_Number_Segment_Style;
   pragma Import (C, segmentStyle_0_wrapper,
                     "__Qt4Ada_QLCDNumber_segmentStyle_0_wrapper");

   procedure setMode_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Mode : Qt4.LCD_Numbers.LCD_Number_Mode);
   pragma Import (C, setMode_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setMode_0_wrapper");

   procedure setNumDigits_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     N_Digits : Qt4.Q_Integer);
   pragma Import (C, setNumDigits_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setNumDigits_0_wrapper");

   procedure setSegmentStyle_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Style : Qt4.LCD_Numbers.LCD_Number_Segment_Style);
   pragma Import (C, setSegmentStyle_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setSegmentStyle_0_wrapper");

   function smallDecimalPoint_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, smallDecimalPoint_0_wrapper,
                     "__Qt4Ada_QLCDNumber_smallDecimalPoint_0_wrapper");

   function value_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Real;
   pragma Import (C, value_0_wrapper,
                     "__Qt4Ada_QLCDNumber_value_0_wrapper");

   procedure display_2_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Str : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, display_2_wrapper,
                     "__Qt4Ada_QLCDNumber_display_2_wrapper");

   procedure display_1_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Num : Qt4.Q_Integer);
   pragma Import (C, display_1_wrapper,
                     "__Qt4Ada_QLCDNumber_display_1_wrapper");

   procedure display_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Num : Qt4.Q_Real);
   pragma Import (C, display_0_wrapper,
                     "__Qt4Ada_QLCDNumber_display_0_wrapper");

   procedure setBinMode_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setBinMode_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setBinMode_0_wrapper");

   procedure setDecMode_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setDecMode_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setDecMode_0_wrapper");

   procedure setHexMode_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setHexMode_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setHexMode_0_wrapper");

   procedure setOctMode_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setOctMode_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setOctMode_0_wrapper");

   procedure setSmallDecimalPoint_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     E : Qt4.bool);
   pragma Import (C, setSmallDecimalPoint_0_wrapper,
                     "__Qt4Ada_QLCDNumber_setSmallDecimalPoint_0_wrapper");

   pragma Style_Checks ("N");

   --------------------
   -- Check_Overflow --
   --------------------

   function Check_Overflow
    (Self : not null access constant Q_LCD_Number'Class;
     Num : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (checkOverflow_1_wrapper
           (Self.QObject_View,
            Num));
   end Check_Overflow;

   --------------------
   -- Check_Overflow --
   --------------------

   function Check_Overflow
    (Self : not null access constant Q_LCD_Number'Class;
     Num : Qt4.Q_Real)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (checkOverflow_0_wrapper
           (Self.QObject_View,
            Num));
   end Check_Overflow;

   ---------------
   -- Int_Value --
   ---------------

   function Int_Value
    (Self : not null access constant Q_LCD_Number'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        intValue_0_wrapper
         (Self.QObject_View);
   end Int_Value;

   ----------
   -- Mode --
   ----------

   function Mode
    (Self : not null access constant Q_LCD_Number'Class)
       return Qt4.LCD_Numbers.LCD_Number_Mode
   is
   begin
      return
        mode_0_wrapper
         (Self.QObject_View);
   end Mode;

   ----------------
   -- Num_Digits --
   ----------------

   function Num_Digits
    (Self : not null access constant Q_LCD_Number'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        numDigits_0_wrapper
         (Self.QObject_View);
   end Num_Digits;

   -------------------
   -- Segment_Style --
   -------------------

   function Segment_Style
    (Self : not null access constant Q_LCD_Number'Class)
       return Qt4.LCD_Numbers.LCD_Number_Segment_Style
   is
   begin
      return
        segmentStyle_0_wrapper
         (Self.QObject_View);
   end Segment_Style;

   --------------
   -- Set_Mode --
   --------------

   procedure Set_Mode
    (Self : not null access Q_LCD_Number'Class;
     Mode : Qt4.LCD_Numbers.LCD_Number_Mode)
   is
   begin
      setMode_0_wrapper
       (Self.QObject_View,
        Mode);
   end Set_Mode;

   --------------------
   -- Set_Num_Digits --
   --------------------

   procedure Set_Num_Digits
    (Self : not null access Q_LCD_Number'Class;
     N_Digits : Qt4.Q_Integer)
   is
   begin
      setNumDigits_0_wrapper
       (Self.QObject_View,
        N_Digits);
   end Set_Num_Digits;

   -----------------------
   -- Set_Segment_Style --
   -----------------------

   procedure Set_Segment_Style
    (Self : not null access Q_LCD_Number'Class;
     Style : Qt4.LCD_Numbers.LCD_Number_Segment_Style)
   is
   begin
      setSegmentStyle_0_wrapper
       (Self.QObject_View,
        Style);
   end Set_Segment_Style;

   -------------------------
   -- Small_Decimal_Point --
   -------------------------

   function Small_Decimal_Point
    (Self : not null access constant Q_LCD_Number'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (smallDecimalPoint_0_wrapper
           (Self.QObject_View));
   end Small_Decimal_Point;

   -----------
   -- Value --
   -----------

   function Value
    (Self : not null access constant Q_LCD_Number'Class)
       return Qt4.Q_Real
   is
   begin
      return
        value_0_wrapper
         (Self.QObject_View);
   end Value;

   -------------
   -- Display --
   -------------

   procedure Display
    (Self : not null access Q_LCD_Number'Class;
     Str : Qt4.Strings.Q_String)
   is
   begin
      display_2_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Str));
   end Display;

   -------------
   -- Display --
   -------------

   procedure Display
    (Self : not null access Q_LCD_Number'Class;
     Num : Qt4.Q_Integer)
   is
   begin
      display_1_wrapper
       (Self.QObject_View,
        Num);
   end Display;

   -------------
   -- Display --
   -------------

   procedure Display
    (Self : not null access Q_LCD_Number'Class;
     Num : Qt4.Q_Real)
   is
   begin
      display_0_wrapper
       (Self.QObject_View,
        Num);
   end Display;

   ------------------
   -- Set_Bin_Mode --
   ------------------

   procedure Set_Bin_Mode
    (Self : not null access Q_LCD_Number'Class)
   is
   begin
      setBinMode_0_wrapper
       (Self.QObject_View);
   end Set_Bin_Mode;

   ------------------
   -- Set_Dec_Mode --
   ------------------

   procedure Set_Dec_Mode
    (Self : not null access Q_LCD_Number'Class)
   is
   begin
      setDecMode_0_wrapper
       (Self.QObject_View);
   end Set_Dec_Mode;

   ------------------
   -- Set_Hex_Mode --
   ------------------

   procedure Set_Hex_Mode
    (Self : not null access Q_LCD_Number'Class)
   is
   begin
      setHexMode_0_wrapper
       (Self.QObject_View);
   end Set_Hex_Mode;

   ------------------
   -- Set_Oct_Mode --
   ------------------

   procedure Set_Oct_Mode
    (Self : not null access Q_LCD_Number'Class)
   is
   begin
      setOctMode_0_wrapper
       (Self.QObject_View);
   end Set_Oct_Mode;

   -----------------------------
   -- Set_Small_Decimal_Point --
   -----------------------------

   procedure Set_Small_Decimal_Point
    (Self : not null access Q_LCD_Number'Class;
     E : Standard.Boolean)
   is
   begin
      setSmallDecimalPoint_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (E));
   end Set_Small_Decimal_Point;

end Qt4.LCD_Numbers;
